Bluetooth doesn't work in Ubuntu 11.04

Reported by Paolo Rotolo on 2011-04-16
680
This bug affects 151 people
Affects Status Importance Assigned to Milestone
System76
Critical
Ian Santopietro
bluez (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
gnome-bluetooth (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

Binary package hint: gnome-bluetooth

Bluetooth doesn't work in Ubuntu 11.04. When turning it on, it's shown as disabled.
Bluetooth model is: " ASUSTek Computer, Inc. BT-183 Bluetooth 2.0+EDR adapter "
This looks like a regression because the Bluetooth was working in Ubuntu 10.10.
See the video for more information...

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: gnome-bluetooth 2.91.2.is.2.32.0-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Date: Sat Apr 16 17:11:13 2011
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110413)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=it_IT.UTF-8
 LC_MESSAGES=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-bluetooth
UpgradeStatus: No upgrade log present (probably fresh install)

Paolo Rotolo (paolorotolo) wrote :
Paolo Rotolo (paolorotolo) wrote :
description: updated

Paolo, if this is a USB device can you please run 'lsusb' and tell us which device it is in the list? Thanks.

Changed in gnome-bluetooth (Ubuntu):
status: New → Incomplete

Providing with the contents of /var/log/syslog would be good too, since it will contain at least some messages from bluez and the kernel bluetooth drivers.

Paolo Rotolo (paolorotolo) wrote :

Hi, Mathieu Trudel-Lapierre. Bluetooth is not a usb device. Bluetooth is built into the laptop...
The model is: ASUSTek Computer, Inc. BT-183 Bluetooth 2.0+EDR adapter

Here is / var / log / syslog:

Thanks

Dmitriy (dvschipunov) on 2011-04-21
Changed in gnome-bluetooth (Ubuntu):
status: Incomplete → Confirmed
description: updated
description: updated
summary: - Bluetooth don't work in Ubuntu 11.04
+ Bluetooth doesn't work in Ubuntu 11.04
Ian Santopietro (isantop) wrote :

This is also affecting all bluetooth enabled System76 Laptops. Upon investigation of the issue, we found that enabling the bluetooth module (It is off at boot by default on our models), then running these commands allows bluetooth to function:

sudo killall bluetoothd
sudo bluetoothd

However, if the module is disabled then enabled, it will not work until the commands are run again.
This should suggest a problem with the bluez package (provider of /usr/sbin/bluetoothd), right?

Changed in system76:
status: New → Confirmed
assignee: nobody → Ian Santopietro (isantop)
Paolo Rotolo (paolorotolo) wrote :

He works, thanks!

Ian Santopietro (isantop) wrote :

Additionally, using a system with a bluetooth module powered on from the moment the system is booted allows bluetooth to function out of the box, without restarting bluetoothd. It looks like there is a bug that prevents bluetoothd from detecting a module activated after it's been started.

Ian Santopietro (isantop) wrote :

Installing the Maverick version of the bluez package solved the issue here as a workaround. We know it's a problem with the bluez package. I'll be looking at what specifically changed between the two versions. Dev help here would also be great.

Ian Santopietro (isantop) wrote :

Attaching hci.log as suggested by apport:

Changed in system76:
importance: Undecided → Critical
Matt Grant (mattgrant) wrote :

I will give the older bluez a try, and mark it 'hold' to stop updates from obliterating the older package. Dell Vostro 1510 on Natty.

Brian Murray (brian-murray) wrote :

Ian - could you elaborate on what you mean by "It is off at boot by default on our models". How exactly do you have it turned off on at boot? I was trying to recreate this issue on a Lenovo X201 Tablet and was unable to. Thanks in advance.

Ian Santopietro (isantop) wrote :

Our BIOSes are configured to turn off power to the modules when the system is booted or resumed from suspend. In Ubuntu, the modules don't appear to be installed, and lsusb does not echo the existence of the module until pressing Fn+F12 to turn the module on. It's analogous to booting the system with a physical killswitch in the off position.

Štefan Porhinčák (denwerko) wrote :

same on asus m51sn, integrated bluetooth module wont work until sudo kill bluetoothd and then restarting bluetootd. When I borrowed other other usb bluetooth dongle from second computer, it worked out of box

Platon Pukhlechev (ifalkorr) wrote :

natty amd64
in my laptop
Bus 008 Device 003: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
bluetooth module wont work until sudo kill bluetoothd and then restarting bluetoothd
in 10.10 works fine

Same here with natty intel
Bus 001 Device 002: ID 174f:110b Syntek

Ed Schouten (ed-80386) wrote :

Same here with Natty, on an Apple MacBook:

Bus 003 Device 003: ID 05ac:8205 Apple, Inc. Bluetooth HCI

Ed Schouten (ed-80386) wrote :

Indeed; killling and restarting bluetoothd and reassociating with my Apple mouse works, but unfortunately I can now only use it as a pointing device -- not a clicking device.

Pavol Klačanský (pavolzetor) wrote :

I added to rc.local file command "service bluetooth restart" and it "works"

s0undt3ch (ufs) wrote :

This is also present in kubuntu

Ted Reed (treed) wrote :

I'm experiencing similar problems where Bluetooth isn't working, but the workaround is not fixing it for me.

I don't know if it matters much, but the BT icon on the bar is grayed out, even when it says Bluetooth: On. (Clicking Preferences shows a window indicating that it's off, as well.)

Curiously, it worked fine after the first reboot after the upgrade, but not since.

Seth Rosenblum (ricklerre) wrote :

"sudo service bluetooth restart" also works as a workaround for me

David Duffey (david-duffey) wrote :

I have a MacBook and an AMD based Toshiba Tecra R850. Restarting bluetooth on both of these laptops also worked for me.

bilbo-le-hobbit (bilbohobbit) wrote :

Same here on my asus m51sn
Ubuntu Natty 64bits
2.6.38-8-generic x86_64
lsusb : Bus 004 Device 002: ID 0b05:1712 ASUSTek Computer, Inc. BT-183 Bluetooth 2.0+EDR adapter

"sudo service bluetooth restart" or "sudo /etc/init.d/bluetooth restart" works
I have to make this each time i restart my pc

Mats Karrman (mats-karrman) wrote :

Same problem on My Acer Ferrari 3400.
Ubuntu Natty 64bits
2.6.38-8-generic x86_64
lsusb: Bus 004 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Above suggested workarounds works for me too.

Arian van Dorsten (jwasys) wrote :

"sudo service bluetooth restart" also works as a workaround for me

Bus 002 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Ubuntu Natty 32bits

2.6.38-8-generic

Compaq NX9030

s0undt3ch (ufs) wrote :

The workarounds work for me too, although I have to manually connect my mouse every time.

Paolo Rotolo (paolorotolo) wrote :

Bluetooth works correctly in Ubuntu 11.04 (20110430).

Great job!

Majdi zamim (majdi-1400) wrote :

also , same issue has occurred in TOSHIBA Satellite M300
 it was working properly in the previous version but when i upgraded to the latest version the issue has appeared

Stefan Nagy (stefan-nagy) wrote :

I have the same problem with a Compaq Computer Corp. Bluetooth Device (USB ID 049f:0086) and a Microsoft Wireless Entertainment Keyboard 7000. In addition sometimes the keyboard layout changes to english (I have a german keyboard with ö, ü and all this stuff). I have to remove the keyboard and add it again to get the german layout back…

BTW, there's a related bugreport: bug 700292

pionnier (v-pionnier) wrote :

Bluetooth is enabled, I can even pair devices. But when I try to browse files on a device or to send file to a device it doesn't work at all, in both directions. I also cannot set up an internet connection via bluetooth with my cell phone.
lsusb: Bus 004 Device 004: ID 0a5c:200a Broadcom Corp. Bluetooth dongle
All worked fine in 10.10

Two Point Oh (twopt0) wrote :

Same issue on a daru3. Fn+F12 keycombo to turn on Bluetooth: Bluetooth applet icon is grayed out, says bluetooth is turned on, but Bluetooth Preferences window has only a large button for turning on Bluetooth. Workaround of restarting bluetoothd works.

VoLk (ivn-wd77) wrote :

I have same problem with a laptop Toshiba L500-223.
Ubuntu 11.04, 64-bit, 2.6.38-8-generic.

bilbo-le-hobbit (bilbohobbit) wrote :

The patch from bug #700292 bug solved the problem for me. Patched kernel packages available into natty-proposed

Maverick13 (mavervicandgus) wrote :

I have same problem with a laptop Toshiba A305D-SP6801.
Ubuntu 11.04, 32 bit 2.6.38-8-generic.

Johnny (johnny-free) wrote :

I have the same problem with my notebook (clevo).
With the command : "service bluetooth restart" a can do work some device with bluetooth, but my bluetooth's mouse don't work.
She connect with notebook, but there aren't communication.

3ntix (francesco-3ntini) wrote :

I've a Santech notebook (a clevo based) with a fresh instal of K-ubuntu. With "service bluetooth restart" resolve the problem.

I've update the kernel from the natty-proposed repository and the systray icon work properly. I've not tried with any device yet.

Maybe add also the kde bluetooth software as affected from this bug?

Emanuele Sagona (zago84) wrote :

This is my lsusb command line:

Bus 002 Device 007: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

This bug affects my two computers, one with Ubuntu 32 bit and the other one Ubuntu 64 bit

Mark Ovens (parish) wrote :

And another.

Edimax Bluetooth USB dongle

Bus 002 Device 005: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Bart (dmitriy-murzin) wrote :

Bus 002 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

not work bluetooth mouse

Ubuntu 11.04 amd64 update 04.04.2011

Changed in bluez (Ubuntu):
status: New → Incomplete
Changed in gnome-bluetooth (Ubuntu):
status: Confirmed → Incomplete
Changed in system76:
status: Confirmed → Fix Committed
szbab (szbab-club) on 2011-05-30
Changed in system76:
status: Fix Committed → Fix Released
37 comments hidden view all 117 comments
VoLk (ivn-wd77) wrote :

I still need use "sudo service bluetooth restart" too. The bug isn't fixed in the update of 30/05/2011 for me :-(

I have a laptop Toshiba L500-223.
Ubuntu 11.04, 64-bit, 2.6.38-8-generic.

ChrisBE (cbe010) wrote :

updates and natty-proposed kernel 2.6.38-9 did not work for me.
ubuntu 11.04 64-bit

John Pugh (jpugh) wrote :

This seems to be a duplicate of bug 700292 however some state the fix in 700292 does not fix their issue.

https://bugs.launchpad.net/bugs/700292

Jeanfrancoissven (s-beddeleem) wrote :

"updates and natty-proposed kernel 2.6.38-9 did not work for me.
ubuntu 11.04 64-bit"

Same here!
My bluetooth applet stays grey all the time...

Jeanfrancoissven (s-beddeleem) wrote :

Solved, I had to enable my bluetooth adapter in the windows partition...

Mike Yates (fonehelp) wrote :

Surely you mean it's solved in Windows, not Ubuntu !!

Anyone tried reverting to 2.6.38-7 ?

Any advice on doing that ?

I've been without a mouse for a month now - almost going back to 10.10 or a tangly USB cable...

Well, I can start it by "sudo service bluetooth restart" then delete and rediscover mouse, but...

Niko (niko2f) wrote :

With my notebook Asus M51Sn the bluetooth not working...
Bus 004 Device 002: ID 0b05:1712 ASUSTek Computer, Inc. BT-183 Bluetooth 2.0+EDR adapter
but if I do:
sudo service bluetooth restart
then it's allright!!

axelsvag (darinsson) wrote :

Still problem with acer d255 with "ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
" even when using 2.6.38-9. Sudo service bluetooth restart works though

tkoun (tkoun) wrote :

hello,

here is my workaround that consistently works not only at boot or reboot but also after suspend/hibernate...

--> just install using synaptic the bluez package from blueman ppa (ppa:blueman/ppa); it only exists for maverick but it installs ok in natty.

before I tried
1) kernel upgrade from natty proposed
2) /etc/init.d/ bluetooth restart in /etc/rc.local

1) did not work and 2) does not work after suspend/resume

hope this will help someone trapped in natty and lazy as myself to downgrade to the good old maverick...

PS: after having to deal with this and the infamous 1-pixel tray icons bug (https://bugs.launchpad.net/ubuntu/natty/+source/unity/+bug/767095) I wonder how it is possible that natty ever came out of the beta (not to say alpha) status

rb.eng (rb-engch) wrote :

Bluetooth now working!
After installing updates 6/4/2011 to kernel 2.6.38-9.43 et al my bluetooth keyboard is now working.
No more "sudo service bluetooth restart" required to get things working!

Thanks again to all those who worked to get this working.

Hardware:
Dell Mini 9; Dlink DBT-120 dongle through a Kensington SD-100 docking station.
Bus 001 Device 015: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Software (Synaptic quick filter "Blue"):
gnome-bluetooth 2.91.2.is.2.32.0-0ubuntu3
bluez-gstreamer 4.91-0ubuntu1
bluez 4.91-0ubuntu1
libgnome-bluetooth8 2.91.2.is.2.32.0-0ubuntu3
libbluetooth3 4.91-0ubuntu1
gtk2-engines 1:2.20.2-0ubuntu1
obex-data-server 0.4.6-0ubuntu1
rfkill 0.4-1
totem-plugins 2.32.0-0ubuntu10

tkoun (tkoun) wrote :

workaround described in #86 does not work consistently.
please disregard.
any news on this? does a kernel upgrade really work?

Using Mainline Kernel: http://kernel.ubuntu.com/~kernel-
ppa/mainline/v2.6.37.6-natty/
works for me.

You have to choose this kernel on booting the pc (after download and
install).

cheers
ubuntic

PS: We have to wait for a stable kernel, the kernels 2.6.38 and 2.6.39 are
little bit buggy i think.

Mike Yates (fonehelp) wrote :

I mentioned "reverting" to an older kernel or even 10.10 above.
I have found that if, on booting, I choose "Older Versions of Linux" and then the only non-recovery kernel offered,
my bluetooth mouse works consistently, even before logging in

$ uname -a
Linux mynetbook 2.6.35-24-generic #42-Ubuntu SMP Thu Dec 2 01:41:57 UTC 2010 i686 i686 i386 GNU/Linux

When are we going to get a new kernel as good (for bluetooth) as that one?

Since there are multiple reports about bluetooth working with a different kernel version, I'll reassign this to the linux package so there are more chances of someone actually fixing this as an update ;)

Has it been ascertained yet *which* kernel version consistently works for this? Is 2.6.38-9.43 working properly for everyone (you need to enable natty-proposed to get that version)?

Actually, turns out that should be 2.6.38-10.44 in natty-proposed now, it should contain roughly the same patches.

Changed in bluez (Ubuntu):
status: Incomplete → Invalid
Changed in gnome-bluetooth (Ubuntu):
status: Incomplete → Invalid
Xandru (xandruarmesto) wrote :

Bluetooth works correctly with 2.6.38.10-44 (natty-proposed) in Toshiba Satellite U300 (bug #751208).

Mike Yates (fonehelp) wrote :

My bluetooth mouse also works consistently with natty-proposed, too, in my Packard Bell DOT_S2 netbook (Atom N450)

Linux mynetbook 2.6.38-10-generic #44-Ubuntu SMP Thu Jun 2 21:32:54 UTC 2011 i686 i686 i386 GNU/Linux

Mike Yates (fonehelp) wrote :

Strangely, though, after installing 2.6.38-10, if I select 2.6.38-8 (11.04 original) in GRUB, the mouse works OK !
mike@mynetbook:~$ uname -a
Linux mynetbook 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 i686 i386 GNU/Linux

Surely the modules etc. linked to the older kernel should not have been changed by the natty-proposed kernel (only) install?

Marcos (deflagmator) wrote :

Bluetooth now works perfect with 2.6.38.10 (natty-proposed) in HP dm1 (amd fusion laptop).

zubairw@gmail.com (zubairw) wrote :

Same problem. solved by killin bluetooth and restarting. waiting for a fix

wnutt (wnutt998) wrote :

I apologize if this should have been another in another bug/thread.

I have been having various problems with what lsusb shows to be "ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)" after much digging and frustration I found that there are "fake"(not Cambridge Silicon Radio hardware) dongles.

https://bugzilla.redhat.com/show_bug.cgi?id=519176#c37

After opening the dongle, I found almost exactly what was described. The only difference is that the number on my device was "AS3610QA C0912CAT", AS361 instead of the mentioned AS362. You may not need to open your dongle to find this out. The hardware address range for Accel is 00:1F:81 or 00:1F:81:00:00:00 - 00:1F:81:FF:FF:FF.

lots more info on this issue here: http://www.linux-archive.org/debian-kernel/542442-bug-525220-bluetooth-problem-caused-fake-dongles.html

uname -a : Linux StarBug1 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
And the current state of operation is that I can get as far as pairing after running "sudo service bluetooth stop" then "sudo service bluetooth start", restart does not seem to change anything.

I am willing to do testing but don't know more than a little bash.

Geert (geert-x) wrote :

I also have the Bluetooth disabled issue. When running the command '/etc/init.d/bluetooth start' I always get an error that the version of hci0 can't be read because the adapter is down. After bringing it up with 'hciconfig hci0 up' I can execute '/etc/init.d/bluetooth start' without error and bluetooth is working again.

Based on this observation I added the command 'hciconfig hci0 up' to the script '/etc/init.d/bluetooth'. I placed it in the beginning of the script, just before the 'Test' commands. Now bluetooth starts automatically after booting. (Kernel 2.6.38-8).

Nikola Snele (n-schnelle) wrote :

2.6.38-10-generic fixes bluetooth problem for me.

Håvar Nielsen (havar) wrote :

Making /usr/sbin/bluetoothd suid root, solves this problem, but might pose some security issues.

sudo chmod +s /usr/sbin/bluetoothd

Håvar Nielsen (havar) wrote :

Had this problem for this device: ID 413c:8103 Dell Computer Corp. Wireless 350 Bluetooth
The suid root fix above solved this problem on the release version of Ubuntu 11.04.

Latest updates Ubuntu (including new kernel) solves this problem.

*** Latest Ubuntu updates (including new kernel) solves this problem. ***

Changed in linux (Ubuntu):
status: New → Fix Released
Paolo Rotolo (paolorotolo) wrote :

ok, good :)
Thanks all for the time to helping to make Ubuntu better :)

Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Mark Ovens (parish) wrote :

Everything working again now, except that my Kensington BT mouse doesn't seem to reconnect automatically when the computer comes out of sleep which it used to in 10.10.

Thanks to those who fixed this :)

Nick (soapduk) wrote :

New kernel hasn't fixed it for me.

Ubuntu 11.04 - 32bit.

uname -a:
Linux scooby 2.6.38-10-generic-pae #46-Ubuntu SMP Tue Jun 28 16:54:49 UTC 2011 i686 athlon i386 GNU/Linux

lsusb:
Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

I have a greyed out bluetooth icon. I can change the settings but setting BT to on doesn't activate it.

'sudo service bluetooth restart' makes the bluetooth software work, but I have to do it each time I boot, and my device does not find my BT mobile phone.

Also:

sudo killall /usr/sbin/bluetoothd
/usr/sbin/bluetoothd: no process found

sudo hciconfig hci0 reset - did nothing.

Bluetooth worked for me on 10.10 with this device.

Nick (soapduk) wrote :

Actually (see above comment) I've got it working now with the phone. It just seems sometimes after booting I have to do the 'sudo service bluetooth restart' to get BT working.

Nick (soapduk) wrote :

Bluetooth still only works after 'sudo service bluetooth restart' and, I have found -- oddly -- after resuming from hibernate. It's greyed out generally on booting. though.

Mike Yates (fonehelp) wrote :

Works perfectly for me again (as 10.10) since the new kernel arrived in the regular updates in June.
No-bluetooth was intermittent with the advance-realease of that kernel, though.
Ensure you have reverted your update-sources to normal, Nick.

Karel Kozlik (karel.kozlik) wrote :

new kernel does not fixed this for me as well

kk@kk-nb:~$ uname -a
Linux kk-nb 2.6.38-10-generic #46-Ubuntu SMP Tue Jun 28 15:07:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

lsusb:
Bus 006 Device 003: ID 0c24:0021 Taiyo Yuden

Seth Forshee (sforshee) wrote :

All: this bug is fixed, as the problem is fixed for the individual who reported the problem. If your bluetooth still isn't working then you have a different problem, and you should open a new bug by running 'ubuntu-bug linux' from a terminal. Thanks!

Nick (soapduk) wrote :

yes it's working for me now. I found the program was related to an 11.04 install that crashed on 99%, affecting some of the start-up services or programs, but I've reinstalled those.

Chris Van Hoof (vanhoof) on 2011-08-19
Changed in gnome-bluetooth (Ubuntu Natty):
status: New → Invalid
Changed in bluez (Ubuntu Natty):
status: New → Invalid
Changed in linux (Ubuntu Natty):
status: New → Fix Released
Karlox (teknikalrepair) wrote :

killall bluetoothd
Bluetoothd
Those simple commands made it up and runing!
Thanx!
Satellite pro A100
Device 002: ID 0930:0508 Toshiba Corp. Integrated Bluetooth HCI

Karel Kozlik (karel.kozlik) wrote :

Karlox and others who still have to restart bluetooth to make it working, please report to bug 830446. There is still some problem in the BT.
Tnx

Changed in linux (Ubuntu Natty):
assignee: nobody → Erick Fiquer (erick-fiquer)
assignee: Erick Fiquer (erick-fiquer) → nobody
yahya gm (yuhanna-yz) wrote :

0000002B

Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.